Wallet

Get wallet private key (WARNING: Sensitive data; for testing non-custodial)

Returns the wallet private key. **For testing non-custodial only:** use this key to sign a transaction locally, then register the wallet address via POST /api/wallet/non-custodial/register-address and broadcast the signed tx via POST /api/wallet/non-custodial/broadcast.

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
GET/api/wallet/{walletId}/private-key

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.getWalletPrivateKey("JZE2NxejF0Di0UNq");
const { data: result } = await wallet.getWalletPrivateKey("JZE2NxejF0Di0UNq");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
walletIdstringYes

Responses

200Private key (shown only once)
json
{
  "success": true,
  "data": {
    "walletId": "65a1b2c3d4e5f6789012345a",
    "currency": "BTC",
    "address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "privateKey": "L5EZftvrYaSudiozVRzTqLcHLNDoVn7H5HSfM9BAN6pMA5zoi3WZ",
    "isCustomKey": false
  },
  "warning": "Keep this private key secure and never share it. Anyone with access to this key can control your wallet."
}
{
  "success": true,
  "data": {
    "walletId": "65a1b2c3d4e5f6789012345a",
    "currency": "BTC",
    "address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "privateKey": "L5EZftvrYaSudiozVRzTqLcHLNDoVn7H5HSfM9BAN6pMA5zoi3WZ",
    "isCustomKey": false
  },
  "warning": "Keep this private key secure and never share it. Anyone with access to this key can control your wallet."
}
401
403
404

Errors

CodeMeaning
401
403
404
Edit this page on GitHub